import logging

from django.contrib.auth import load_backend, login
from django.contrib.auth.backends import RemoteUserBackend

class LdapRemoteUserBackend(RemoteUserBackend):
	def authenticate(self, request, remote_user=None):
		logging.info('auth as %s', remote_user)
		ldap_backend = load_backend('django_auth_ldap.backend.LDAPBackend')
		combineduser = ldap_backend.populate_user(remote_user)
		if combineduser is not None:
			login(request, combineduser, backend='django_auth_ldap.backend.LDAPBackend')
			logging.debug('loaded data for %s', remote_user)
		return combineduser
